﻿footer {
    margin-top: auto;
    width: 100%;
    background-color: var(--telekom-color-ui-black);
    display: flex;
    justify-content: center;
    flex-direction: column;
    padding-bottom: 1.5rem;
    align-items: center;
}

.footer-base {
    height: 100%;
    width: 100%;
    max-width: var(--max-width-container);
    padding-left: var(--spacing-x-container);
    padding-right: var(--spacing-x-container);
    position: relative;
    display: flex;
    flex: 1 1 0;
    flex-direction: column;
}

.footer-logo {
    display: flex;
    justify-content: center;
    max-height: 5rem;
    margin-top: 2rem;
    margin-bottom: 2rem;
}

.footer-body {
    display: flex;
    flex-direction: row;
    font-size: 0.875rem;
    color: var(--background);
    justify-content: space-between;
}

    .footer-body ul {
        column-gap: 3rem;
        row-gap: 0.5rem;
        display: flex;
        flex-direction: row;
        align-items: center;
        list-style: none;
    }
        .footer-body ul a {
            color: inherit;
        }

        .footer-body ul a:hover {
            color: var(--background);
            text-underline-offset: 0.5rem;
        }